Subject: bug#35551: guix search

From: Ludovic Courtès <[email-masked]>
Date: Fri, 10 May 2019 17:17:29 +0200

Bruno Haible <[email-masked]> skribis:

>> Another option I thought of would be to display only the 10 results with
>> the highest relevance by default, when stdout is a terminal.
>
> That would be OK as a second step. But first, we should get the
> sort order (the notion of relevance) improved.

It’s tricky to map our intuition to actual metrics on the data that we
have, though.

The current metrics used to compute the relevance score are here:

  https://git.savannah.gnu.org/cgit/guix.git/tree/guix/ui.scm#n1406

Like I said, command names are not available in an off-line context.

Ludo’.